## com.baidubce.services.bos.model
Class GetBucketAclResponse

    java.lang.Object
      com.baidubce.model.AbstractBceResponse
          com.baidubce.services.bos.model.BosResponse
              com.baidubce.services.bos.model.GetBucketAclResponse

    public class GetBucketAclResponse

extends BosResponse

Field Summary
`static int` `MAX_SUPPORTED_ACL_VERSION`

Fields inherited from class com.baidubce.model.AbstractBceResponse
`metadata`

Constructor Summary
`GetBucketAclResponse()`

Method Summary
`List<Grant>` `getAccessControlList()` Gets the accessControlList of this bucket.
`Grantee` `getOwner()` Gets the user of this bucket.
`int` `getVersion()` Gets the acl version.
`void` `setAccessControlList(List<Grant> accessControlList)` Sets the accessControlList of this bucket.
`void` `setOwner(Grantee owner)` Sets the user of this bucket.
`void` `setVersion(int version)` Sets the acl version.

Methods inherited from class com.baidubce.services.bos.model.BosResponse
`getMetadata`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MAX_SUPPORTED_ACL_VERSION

    public static final int MAX_SUPPORTED_ACL_VERSION

See Also:
  Constant Field Values

Constructor Detail

### GetBucketAclResponse

    public GetBucketAclResponse()

Method Detail

### getVersion

    public int getVersion()

  Gets the acl version.

### setVersion

    public void setVersion(int version)

  Sets the acl version.

### getOwner

    public Grantee getOwner()

  Gets the user of this bucket.

  Returns:
    The user of this bucket.

### setOwner

    public void setOwner(Grantee owner)

  Sets the user of this bucket.

  Parameters:
    `owner` - The user of this bucket.

### getAccessControlList

    public List<Grant> getAccessControlList()

  Gets the accessControlList of this bucket.

  Returns:
    The accessControlList of this bucket.

### setAccessControlList

    public void setAccessControlList(List<Grant> accessControlList)

  Sets the accessControlList of this bucket.

  Parameters:
    `accessControlList` - The accessControlList of this bucket.

Copyright © 2016. All rights reserved.